Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# openvrml::node_impl_util::abstract_node< Derived >::exposedfield< FieldValue > Class Template Reference

`#include <openvrml/node_impl_util.h>`

Inheritance diagram for openvrml::node_impl_util::abstract_node< Derived >::exposedfield< FieldValue >:

[legend]

List of all members.

## Detailed Description

### template<typename Derived>
template<typename FieldValue>
class openvrml::node_impl_util::abstract_node< Derived >::exposedfield< FieldValue >

exposedField implementation.

## Public Member Functions

| exposedfield (openvrml::node &node, const typename FieldValue::value_type &value=typename FieldValue::value_type())
| Construct.
| exposedfield (const exposedfield< FieldValue > &obj) throw ()
| Construct a copy.
virtual | ~exposedfield () throw ()
| Destroy.

## Private Member Functions

virtual std::auto_ptr < field_value > | do_clone () const throw ( std::bad_alloc )
| Polymorphically construct a copy.

## Constructor & Destructor Documentation

template<typename Derived>
template<typename FieldValue>

openvrml::node_impl_util::abstract_node< Derived >::exposedfield< FieldValue >::exposedfield | ( | openvrml::node & | node,
|  | const typename FieldValue::value_type & | value = `typename FieldValue::value_type()` |
| ) |  |  | `[inline, explicit]`

Construct.

Parameters:

  `[in]` | node | the node.
  `[in]` | value | the initial value.

Reimplemented from openvrml::exposedfield< FieldValue >.

template<typename Derived>
template<typename FieldValue>

openvrml::node_impl_util::abstract_node< Derived >::exposedfield< FieldValue >::exposedfield | ( | const exposedfield< FieldValue > & | obj | ) | throw ()`[inline]`

Construct a copy.

Parameters:

  `[in]` | obj | the instance to copy.

template<typename Derived>
template<typename FieldValue>

openvrml::node_impl_util::abstract_node< Derived >::exposedfield< FieldValue >::~exposedfield | ( |  | ) | throw ()`[inline, virtual]`

Destroy.

Reimplemented from openvrml::exposedfield< FieldValue >.

## Member Function Documentation

template<typename Derived>
template<typename FieldValue>

std::auto_ptr< field_value > openvrml::node_impl_util::abstract_node< Derived >::exposedfield< FieldValue >::do_clone | ( |  | ) | const throw ( std::bad_alloc )`[inline, private, virtual]`

Polymorphically construct a copy.